X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I get Error: Platform version '5.0' is not compatiblewith min Version>=6.0 max Version<=6.0, I have uninstalled and reinstalled twice how do I fix this?

Posted

I have completed a factory system restore. After doing a complete factory reinstall the FF updater is not installing the latest updates.

I get this error message:

Error: Platform version '5.0' is not compatible with minVersion>=6.0 maxVersion<=6.0.

I have completed these steps:


Make a Backup of your Firefox Profile folder in some other location http://kb.mozillazine.org/Profile_folder_-_Firefox#Navigating_to_the_profile_folder Completely Uninstall Firefox https://support.mozilla.com/en-US/kb/Uninstalling%20Firefox http://kb.mozillazine.org/Uninstalling_Firefox SELECT TO REMOVE USER DATA AND SETTINGS Download latest Firefox version from one of these links: http://www.mozilla.com/en-US/firefox/new/ http://www.mozilla.com/en-US/firefox/central/ http://www.mozilla.com/en-US/firefox/fx/ http://www.mozilla.com/en-US/firefox/all.html Installing Firefox https://support.mozilla.com/en-US/kb/Installing%20Firefox%20on%20Windows http://kb.mozillazine.org/Installing_Firefox Manually Restore the Backed-up Firefox Profile http://kb.mozillazine.org/Profile_backup#Manually_restore_the_profile

Additional System Details

This happened

Every time Firefox opened

This started when...

This started when I Updated from FF version 5.0 to FF version 6.0

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/13.0.782.215 Safari/535.1

More Information

Application Basics
Name
Firefox
Version
6.0
User Agent
Mozilla/5.0 (Windows NT 6.0; rv:6.0) Gecko/20100101 Firefox/6.0
Profile Directory
Open Containing Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
Modified Preferences
Name
Value
browser.places.smartBookmarksVersion
2
browser.startup.homepage_override.buildID
20110811165603
browser.startup.homepage_override.mstone
rv:6.0
browser.tabs.loadInBackground
false
extensions.lastAppVersion
6.0
gfx.blacklist.direct2d
2
gfx.blacklist.layers.direct3d10
2
gfx.blacklist.layers.direct3d10-1
2
network.cookie.prefsMigrated
true
places.history.expiration.transient_current_max_pages
21278
privacy.cpd.sessions
false
privacy.sanitize.migrateFx3Prefs
true
privacy.sanitize.timeSpan
0
Graphics
Adapter Description
Intel(R) 82945G Express Chipset Family
Vendor ID
8086
Device ID
2772
Adapter RAM
Unknown
Adapter Drivers
igdumd32
Driver Version
7.14.10.1461
Driver Date
3-25-2008
Direct2D Enabled
Blocked for your graphics driver version.
DirectWrite Enabled
false (7.0.6002.18409)
ClearType Parameters
ClearType parameters not found
WebGL Renderer
Blocked for your graphics driver version. Try updating your graphics driver to version 7.14.10.1504 or newer.
GPU Accelerated Windows
0/1. Blocked for your graphics driver version. Try updating your graphics driver to version 7.14.10.1504 or newer.

cor-el
  • Top 10 Contributor
  • Moderator
10753 solutions 96760 answers

The updater wasn't able to update all the files and some were left as older versions. Do a clean reinstall. If there are problems with updating then best is to download the full version and uninstall the currently installed version.

Download a fresh Firefox copy and save the file to the desktop.

  • Uninstall your current Firefox version.
  • Do not remove personal data when you uninstall the current version.

Remove the Firefox program folder before installing that newly downloaded copy of the Firefox installer.

  • It is important to delete the Firefox program folder to remove all the files and make sure that there are no problems with files that were leftover after uninstalling.

Your bookmarks and other profile data are stored elsewhere in the Firefox Profile Folder and won't be affected by a reinstall, but make sure that you do not select to remove personal data if you uninstall Firefox.

Question owner

I completed the steps as you suggested and still get the same error message. Also, why am I still getting this error on a brand new computer?

I think there is a problem with FF that no one wants to correct. I had this same problem with FF version 5.0.

Also if I run FF as administrator it works fine but it is no longer my default browser. I refuse to use Internet Explorer and I don't want to use 2 or 3 different browsers because you don't have a fix for the problem.

Modified by Bob Culbertson

cor-el
  • Top 10 Contributor
  • Moderator
10753 solutions 96760 answers

You did delete the Firefox program folder (C:\Program Files\Mozilla Firefox\) ?

Are there any files in the VirtualStore folder?

C:\Users\<user>\AppData\Local\VirtualStore\Program Files\Mozilla Firefox

The "Application Data" folder in XP/Win2K and the "AppData" folder in Vista/Windows 7 are hidden folders.

Question owner

Yes I did delete the Firefox program folder (C:\Program Files\Mozilla Firefox\).

there are no files in the VirtualStore folder.

thanks Bob

cor-el
  • Top 10 Contributor
  • Moderator
10753 solutions 96760 answers

Are you using ZoneAlarm Extreme?

I've seen a few posts that ZA is causing problems like you described and in that case you need to do a clean reinstall and delete the Firefox program folder (C:\Program Files\Mozilla Firefox\) and install a newly downloaded copy of Firefox. Disable ZA before installing the new copy of Firefox.

Question owner

I do use ZA Extreme Security.

I completely deleted the Firefox Folder ((C:\Program Files\Mozilla Firefox\).

I downloaded a fresh new copy of Firefox and saved it to my desktop.

I disabled ZA Extreme Security and installed FF, which opened and worked properly until I reacted ZA and I got the same error message, (Error: Platform version '5.0' is not compatiblewith min Version>=6.0 max Version<=6.0). I surely cannot browse the Internet without any security and I have 6 months left before my ZA is due for reinstatement.

Based on what I have read about in this forum there is no security system that is compatible with any version of FF.